Bug 1357414 - Ruby on Rails 5.0
Ruby on Rails 5.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jun Aruga
ChangeAcceptedF25, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-18 03:32 EDT by Jan Kurik
Modified: 2016-11-22 08:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 08:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-07-18 03:32:25 EDT
This is a tracking bug for Change: Ruby on Rails 5.0
For more details, see: https://fedoraproject.org//wiki/Changes/Ruby_on_Rails_5.0

Ruby on Rails 5.0 is the latest version of well known web framework written in Ruby.
Comment 1 Jun Aruga 2016-07-18 05:21:29 EDT
Okay, I am still processing for the Rails 5.0.0 now.
Comment 2 Jan Kurik 2016-07-26 00:22:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Jan Kurik 2016-07-26 01:22:31 EDT
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.
Comment 4 Vít Ondruch 2016-07-26 03:37:47 EDT
The basic set of RoR5 packages is available in Copr ATM:

https://copr.fedorainfracloud.org/coprs/vondruch/ror5/packages/

We are still polishing some of the addon packages required for more advanced RoR5 application, but it should not be show stopper, hence I am switching this issue to MODIFIED.
Comment 5 Jun Aruga 2016-07-26 03:54:30 EDT
Jan, I got it!

Vit
Should we need to push the basic RoR5 packages to RAWHIDE master now, also update the status to "pass" on the wiki?
Comment 6 Vít Ondruch 2016-07-28 09:13:39 EDT
The RoR is now in F25, but some pieces of asset pipeline are still WIP.
Comment 7 Jan Kurik 2016-09-29 05:06:07 EDT
On 2016-Sep-27 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 25 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Note You need to log in before you can comment on or make changes to this bug.